from django.contrib import admin
from .models import AIProvider, AIAssistant

@admin.register(AIProvider)
class AIProviderAdmin(admin.ModelAdmin):
    list_display = ("name", "description")
    search_fields = ("name",)
    ordering = ("name",)

@admin.register(AIAssistant)
class AIAssistantAdmin(admin.ModelAdmin):
    list_display = ("name", "model_name", "provider", "uses_graph", "neo4j_profile", "created_at", "updated_at")
    search_fields = ("name", "model_name", "neo4j_profile__name")
    list_filter = ("provider", "uses_graph")
    ordering = ("-created_at",)
